﻿// <auto-generated />
using Avi.OpenMod.Unturned.XpEconomy.Database;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace Avi.OpenMod.Unturned.XpEconomy.Migrations.Sqlite
{
    [DbContext(typeof(XpEconomyDbContextSqlite))]
    partial class XpEconomyDbContextSqliteModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.17");

            modelBuilder.Entity("Avi.OpenMod.Unturned.XpEconomy.Models.XpBalance", b =>
                {
                    b.Property<string>("OwnerId")
                        .HasColumnType("TEXT")
                        .HasMaxLength(36);

                    b.Property<string>("OwnerType")
                        .HasColumnType("TEXT")
                        .HasMaxLength(50);

                    b.Property<uint>("Amount")
                        .HasColumnType("INTEGER");

                    b.HasKey("OwnerId", "OwnerType");

                    b.ToTable("XpBalances");
                });
#pragma warning restore 612, 618
        }
    }
}
